<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <div id="header">
        <!-- Title -->
        <h2 align="center">HTML Entities</h2>

        <p align="center"><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
    </div>
    <!--  -->
    <div id="main">
        <!-- Defines or creates an html Table -->
    <table border="1" align="center">
        <!-- Used to group table header content -->
        <thead>
            <!-- Defines a table row -->
            <tr>
                <!-- Table Headings -->
                <th colspan="2">Entity</th>
                <th>Description</th>
            </tr>

        </thead>
        <!-- Used to group table body -->
        <tbody>
            <!-- Row 1 for Less Than < -->
            <tr>
                <!-- Define a table data elements -->
                <td>&lt;</td>
                <td>lt</td>
                <td>less than</td>
            </tr>
            <!-- Row 2 for Greater Than > -->
            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>
            <!-- Row 3 for Peso sign -->
            <tr>
                <td>&#8369;</td>
                <td>#8369</td>
                <td>peso sign</td>
            </tr>
            <!-- Row 4 for Amp sign -->
            <tr>
                <td>&amp;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>
             <!-- Row 5 for Qout sign -->
            <tr>
                <td>&quot;</td>
                <td>qout</td>
                <td>double qoutation mark</td>
            </tr>
             <!-- Row 6 for Apos sign -->
            <tr>
                <td>&apos;</td>
                <td>apos</td>
                <td>single qoutation mark</td>
            </tr>
             <!-- Row 7 for ntilde sign -->
            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower tilde</td>
            </tr>
             <!-- Row 8 for Ntilde sign -->
            <tr>
                <td>&Ntilde;</td>
                <td>Ntilde</td>
                <td>Upper tilde</td>
            </tr>
        </tbody>
        <!-- Table Footer -->
        <tfoot>
            <tr>
                <th colspan="3">List of HTML Entities</th>
            </tr>

        </tfoot>

    </table>

    </div>
    
    <!-- Horizontal Rule -->
    <hr>
    <div id="section">
        <h2 align="center">HTML Forms</h2>

        <p align="center"><em>Inputs elements that make up a form.</em></p>
        <!-- Form -->
        <form action="https://google.com">
            <!-- Creates a label and allows for input field section when clicked -->
            <label for="fullName">Full Name:</label><br>
            <input type="text" name="fullName" id="fullName" required><br>
            <!-- Birthdate Label -->
            <label for="birthDate">Birth Date:</label><br>
            <input type="date" name="birthDate" id="birthDate" required><br>
            <!-- Age -->
            <label for="age"></label>Age:<br>
            <input type="number" name="" id="age" required> <br>
    
            <label for="gender">Gender:</label><br>
            <!-- creates a dropdown menu -->
            <select name="gender" id="gender">
                <!-- creates an option for dropdown -->
                <option value="">Please select below</option>
                <option value="Male">Male</option>
                <option value="Female">Female</option>
                <option value="Others">Prefer not to specify</option>
            </select><br>

            <!--  -->
            <label for="">New User:</label><br>
            <!-- Creates radio button - relational button -->
            <label for="newUser"><input type="radio" name="userType" id="newUser" value="yes">Yes</label><br> 
            <label for="oldUser"><input type="radio" name="userType" id="oldUser" value="no">No</label> <br> 

            <!--Text Area  -->
            <label for="notes">Notes:</label><br>
            <textarea name="notes" id="notes" rows="5"></textarea><br>
            <!--  -->
            <label for="">Role:</label><br>
    
            <!-- Check Box Area -->
            <input type="checkbox" name="role1" id="role1"  value="developer">
            <label for="role1">Developer</label><br>
    
            <input type="checkbox" name="role2" id="role2"  value="student">
            <label for="role2">Students</label><br>
             
            <input type="checkbox" name="role3" id="role3"  value="manager">
            <label for="role3">Manager</label><br>
    
            <!-- Button -->
            <br><button type="submit">Submit</button><br>
            <button type="reset">Reset</button>
        </form>
    
    </div>

    

    <!-- Creates an HTML form to capture user input -->

    
</body>
</html>